## neon27 0.29.6

=== debian/changelog ===
neon27 (0.29.6-3) unstable; urgency=low

  * Add missing ne_ssl_context_get_flag() for GnuTLS flavour (closes: #667043).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 06 Apr 2012 01:54:28 +0200

neon27 (0.29.6-2) unstable; urgency=low

  * Make Neon recognize that SSLv2 functions were disabled (closes: #622140).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 03 Apr 2012 00:59:52 +0200

neon27 (0.29.6-1) unstable; urgency=low

  * New upstream release, fixes building with new OpenSSL (closes: #622140).
  * Convert to 3.0 (quilt) source format.
  * Drop old transitional libneon25-dev .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 04 Jul 2011 23:43:29 +0200

neon27 (0.29.5-3) unstable; urgency=medium

  * Don't use \ for line continuation in the parameter of
    dh_makeshlibs (closes: #607819).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 22 Dec 2010 20:17:27 +0100

neon27 (0.29.5-2) unstable; urgency=low

  * Set shlibs-version to match Debian package version 0.29.3-3 ; this will
    let other packages enter Squeeze during freeze.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 17 Dec 2010 21:49:24 +0100

neon27 (0.29.5-1) unstable; urgency=low

  * New upstream release, remove all backported patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 09 Dec 2010 22:25:09 +0100

neon27 (0.29.3-3) unstable; urgency=low

  * Fix client certificate negotiation with a patch that got included in
    v0.29.5 (closes: #480041).
  * Updated Standards-Version to 3.9.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 24 Oct 2010 18:20:49 +0200

neon27 (0.29.3-2) unstable; urgency=low

  * Fix SNI TLS breakage until upstream fix (closes: #569639).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 23 Feb 2010 19:46:02 +0000

neon27 (0.29.3-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.8.4 and added watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 04 Feb 2010 20:03:25 +0000

neon27 (0.29.0-1) unstable; urgency=low

  * New major upstream release (still API and ABI compatible with 0.27.x).
  * Step towards to enable testsuite during building, but doesn't enable it
    yet, as it causes FTBFS in a pbuilder chroot.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 23 Sep 2009 19:04:54 +0000

neon27 (0.28.6-1) unstable; urgency=high

  * New upstream release, fixing CVE-2009-2474 (closes: #542926); for gnutls
    version building with gnutls 2.8.2 or later required, updated
    build-dependency accordingly.
  * CVE-2009-2473 doesn't affect this package as it's compiled with a libxml2
    version greater than 2.6.32 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 22 Aug 2009 10:19:54 +0000

neon27 (0.28.5-1) unstable; urgency=low

  * New upstream release,  fix use of builds with SOCK_CLOEXEC support
    (closes: #533241).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 01 Aug 2009 09:55:01 +0000

neon27 (0.28.4-3) unstable; urgency=low

  * Use upstream solution to runtime detect SOCK_CLOEXEC option.
  * Build-Depend on pkg-config for library detections (closes: #529839).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 13 Jun 2009 12:14:53 +0000

neon27 (0.28.4-2) unstable; urgency=low

  * Add 01_runtime_detect_sock_cloexec.dpatch to detect if neon27 is running
    on a kernel that supports SOCK_CLOEXEC (closes: #529920).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 30 May 2009 12:32:51 +0000

neon27 (0.28.4-1) unstable; urgency=low

  * New upstream release and accept Frank's upload (closes: #496482).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 20 May 2009 17:36:23 +0000

neon27 (0.28.2-6.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove the really non-sensical neon25 transitional packages.
    Leave only libneon25-dev, because that might actually serve a
    purpose. Also remove the related Conflicts and Replaces except
    where necessary. (closes: #496482)

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 29 Nov 2008 13:03:52 +0100

neon27 (0.28.2-6) unstable; urgency=low

  * Fix build failure when built in a path contains 'libneon' (closes: #506464).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 29 Nov 2008 11:43:13 +0000

neon27 (0.28.2-5) unstable; urgency=low

  * Really fix neon v0.25 transition (closes: #496482).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 27 Aug 2008 19:04:16 +0000

neon27 (0.28.2-4) unstable; urgency=high

  * Backport security fix from v0.28.3, fixing CVE-2008-3746 .
  * Correct packages for neon v0.25 transition (closes: #493348).
  * Remove rpath from libraries.
  * Backport fixes from v0.28.3:
    - fix ne_set_progress(, NULL, ) to match pre-0.27 behaviour
      (and not crash);
    - distinguish the error message for an SSL handshake which fails after a
      client cert was requested;
    - fix for safe and warning free compilation on LFS archs.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 10 Aug 2008 23:27:46 +0000

neon27 (0.28.2-3) unstable; urgency=low

  * Transition neon (v0.25 ones) packages to their neon27 counterpart.
  * Update Standards-Version to 3.8.0 , no changes needed.
  * Add more lintian overrides for upstream manpage errors.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 26 Jul 2008 11:56:59 +0000

neon27 (0.28.2-2) unstable; urgency=low

  * Only the GnuTLS flavour needs to be configured with --with-ca-bundle
    (closes: #474139).
  * Fix segfault with dav/https shares (closes: #476571), thanks to
    Yves-Alexis Perez for the patch.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 21 Apr 2008 13:56:22 +0200

neon27 (0.28.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 05 Apr 2008 22:33:26 +0200

neon27 (0.28.1-2) unstable; urgency=low

  * Compile with --with-ca-bundle to make neon recognize trusted CAs,
    thanks to Sebastian Harl for the patch (closes: #459453).
  * Don't advertise nor serve --la-file (closes: #470519).


