## neon27 0.30.0

=== debian/changelog ===
neon27 (0.30.0-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to update libtool.m4 for new ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Dec 2013 15:56:14 +0000

neon27 (0.30.0-1) unstable; urgency=low

  * New upstream release.
  * Remove disabled_SSLv2_support.patch (closes: #702554), this release
    contains it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Aug 2013 19:11:29 +0200
