=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: neon27
 Section: net
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 5.0.0), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls-dev (>= 2.8.3), libkrb5-dev, libz-dev, autotools-dev, binutils (>= 2.14.90.0.7), ca-certificates, chrpath
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 5.0.0), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls-dev (>= 2.8.3), libkrb5-dev, libz-dev, dh-autoreconf, binutils (>= 2.14.90.0.7), ca-certificates, chrpath
 Homepage: http://www.webdav.org/neon/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: libneon27
 Section: libs
