=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
 package=libneon27
 upstream-version=$(shell head -n 1 debian/changelog | sed -e 's/.*(\(\([0-9]\+:\)\?\([^-]\+\).*\).*).*/\3/' )
 
@@ -17,19 +19,18 @@
 		--with-libxml2
 CFLAGS="-O2 -g"
 
-${BUILDDIR}/neon-openssl/config.status: configure
-	cp  /usr/share/misc/config.guess \
-	    /usr/share/misc/config.sub \
-	  ./
+build-autoreconf:
+	LIBTOOLIZE='libtoolize --install' dh_autoreconf \
+		autoreconf -- -f -i -I macros
+	touch build-autoreconf
+
+${BUILDDIR}/neon-openssl/config.status: build-autoreconf
 	install -d $(BUILDDIR)/neon-openssl
 	cd $(BUILDDIR)/neon-openssl/ && \
 	                CFLAGS=$(CFLAGS) $(CURDIR)/configure ${CONFIG_COMMON} \
 			--with-ssl=openssl
 
-${BUILDDIR}/neon-gnutls/config.status: configure
-	cp  /usr/share/misc/config.guess \
-	    /usr/share/misc/config.sub \
-	  ./
+${BUILDDIR}/neon-gnutls/config.status: build-autoreconf
 	install -d $(BUILDDIR)/neon-gnutls
 	cd $(BUILDDIR)/neon-gnutls/ && \
 	                CFLAGS=$(CFLAGS) $(CURDIR)/configure ${CONFIG_COMMON} \
@@ -63,13 +64,14 @@
 clean:
 	dh_testdir
 	dh_testroot
-	-rm -f build-openssl build-gnutls install-openssl install-gnutls \
+	-rm -f build-autoreconf build-openssl build-gnutls \
+	    install-openssl install-gnutls \
 	    macros/changelog.m4
-	-rm -f config.sub config.guess
 	rm -rf $(BUILDDIR)
 	[ ! -f Makefile ] || $(MAKE) distclean
 	-rm -rf Makefile src/Makefile test/Makefile config.h config.cache config.log config.status
 	-rm -rf libtool neon-config src/.libs src/*.o
+	dh_autoreconf_clean
 	dh_clean
