## neon27 0.30.1

=== debian/changelog ===
neon27 (0.30.1-3build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:26:43 +0000

neon27 (0.30.1-3) unstable; urgency=low

  * Sync with Ubuntu (closes: #812936).

  [ Matthias Klose <doko@ubuntu.com> ]
  * Multiarchify the package.
  * Build using dpkg-buildflags.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Jan 2016 14:01:07 +0100

neon27 (0.30.1-2) unstable; urgency=low

  * Use upstream fix for building with GnuTLS 3.4 (closes: #782832).
  * Add lintian overrides for known false positives.
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 03 Oct 2015 20:44:59 +0200

neon27 (0.30.1-1) unstable; urgency=low

  * New upstream release.
  * Drop GnuTLS memory leak fix, merged upstream.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 29 Sep 2014 20:50:26 +0000

neon27 (0.30.0-4) unstable; urgency=low

  [ Patrick Ohly <patrick.ohly@intel.com> ]
  * Fix memory leak when using gnutls >= 1.3.1 (closes: #756608).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 01 Aug 2014 04:54:56 +0000

neon27 (0.30.0-3) unstable; urgency=low

  * Swich to gnutls28 (closes: #752238).
  * Enable OpenSSL testsuite.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 21 Jun 2014 17:21:25 +0000

neon27 (0.30.0-2) unstable; urgency=low

  * Move to debhelper level 9 and Standards-Version 3.9.5 .
  * Sync with Ubuntu.

  [ Colin Watson <cjwatson@ubuntu.com> ]
  * Use dh-autoreconf to update libtool.m4 for new ports (closes: #732548).

  [ Jelmer Vernooij <jelmer@debian.org> ]
  * Depend on krb5-multidev rather than libkrb5-dev. Closes: #745328

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Apr 2014 12:29:07 +0000
