=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: neon27
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 5.0.0), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls-dev (>= 2.8.3), libkrb5-dev, libz-dev, dh-autoreconf, binutils (>= 2.14.90.0.7), ca-certificates, chrpath
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 9), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, krb5-multidev, libz-dev, dh-autoreconf, binutils (>= 2.14.90.0.7), ca-certificates, chrpath
 Homepage: http://www.webdav.org/neon/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 
 Package: libneon27
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: HTTP and WebDAV client library
  neon is an HTTP and WebDAV client library, with a C language API.
@@ -41,10 +42,11 @@
 Package: libneon27-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1), libneon25-dev (<< 0.28.2-5), libneon27-gnutls-dev
 Provides: libneon-dev
 Replaces: libneon-dev, libneon25-dev, libneon27-gnutls-dev
-Depends: ${misc:Depends}, libneon27 (= ${binary:Version}), libssl-dev, libxml2-dev, libkrb5-dev, pkg-config
+Depends: ${misc:Depends}, libneon27 (= ${binary:Version}), libssl-dev, libxml2-dev, krb5-multidev, pkg-config
 Description: Header and static library files for libneon27
  This package contains the headers and the static library for libneon27.
  .
@@ -56,6 +58,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libneon27 (= ${binary:Version})
 Description: Detached symbols for libneon27
  This package contains the debugging symbols for libneon27, suitable for
@@ -68,6 +71,8 @@
 Package: libneon27-gnutls
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ca-certificates
 Description: HTTP and WebDAV client library (GnuTLS enabled)
@@ -100,11 +105,12 @@
 Package: libneon27-gnutls-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1), libneon25-dev (<< 0.28.2-5), libneon27-dev
 Provides: libneon-dev
 Replaces: libneon-dev, libneon25-dev, libneon27-dev
-Depends: ${misc:Depends}, libneon27-gnutls (= ${binary:Version}), libgnutls-dev, libxml2-dev, 
- libkrb5-dev, pkg-config
+Depends: ${misc:Depends}, libneon27-gnutls (= ${binary:Version}),
+ libgnutls28-dev, libxml2-dev, krb5-multidev, pkg-config
 Description: Header and static library files for libneon27 (GnuTLS enabled)
  This package contains the headers and the static library for 
  libneon27-gnutls.
@@ -117,6 +123,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libneon27-gnutls (= ${binary:Version})
 Description: Detached symbols for libneon27 (GnuTLS enabled)
  This package contains the debugging symbols for libneon27-gnutls, suitable
