=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,12 @@
 package=libneon27
 upstream-version=$(shell head -n 1 debian/changelog | sed -e 's/.*(\(\([0-9]\+:\)\?\([^-]\+\).*\).*).*/\3/' )
 
-# export DH_VERBOSE=1
+export KRB5_CONFIG=/usr/bin/krb5-config.mit
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 BUILDDIR=$(CURDIR)/debian/build-tree/
 DESTDIR=$(CURDIR)/debian/
@@ -16,8 +21,12 @@
 		--mandir=/usr/share/man		\
 		--enable-threadsafe-ssl=posix   \
 		--with-gssapi			\
-		--with-libxml2
-CFLAGS="-O2 -g"
+		--with-libxml2			\
+		--with-libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)"
+
+CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 
 build-autoreconf:
 	LIBTOOLIZE='libtoolize --install' dh_autoreconf \
@@ -27,13 +36,13 @@
 ${BUILDDIR}/neon-openssl/config.status: build-autoreconf
 	install -d $(BUILDDIR)/neon-openssl
 	cd $(BUILDDIR)/neon-openssl/ && \
-	                CFLAGS=$(CFLAGS) $(CURDIR)/configure ${CONFIG_COMMON} \
+	                CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' $(CURDIR)/configure ${CONFIG_COMMON} \
 			--with-ssl=openssl
 
 ${BUILDDIR}/neon-gnutls/config.status: build-autoreconf
 	install -d $(BUILDDIR)/neon-gnutls
 	cd $(BUILDDIR)/neon-gnutls/ && \
-	                CFLAGS=$(CFLAGS) $(CURDIR)/configure ${CONFIG_COMMON} \
+	                CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' $(CURDIR)/configure ${CONFIG_COMMON} \
 			--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt \
 			--with-ssl=gnutls
 
@@ -44,7 +53,7 @@
 build-openssl: ${BUILDDIR}/neon-openssl/config.status
 	dh_testdir
 	cd $(BUILDDIR)/neon-openssl/ && $(MAKE)
-#	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) check
+	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) check
 
 	touch build-openssl
 
@@ -82,8 +91,11 @@
 	dh_testroot
 	dh_installdirs
 	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) install-lib install-headers install-config install-man DESTDIR=$(DESTDIR)/$(package)
-	chrpath -d $(CURDIR)/debian/$(package)/usr/lib/libneon.so.27
-	rm -f $(CURDIR)/debian/$(package)/usr/lib/libneon.la
+	mkdir -p debian/$(package)/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/$(package)/usr/lib/lib* debian/$(package)/usr/lib/pkgconfig \
+		debian/$(package)/usr/lib/$(DEB_HOST_MULTIARCH)
+	chrpath -d $(CURDIR)/debian/$(package)/usr/lib/*/libneon.so.27
+	rm -f $(CURDIR)/debian/$(package)/usr/lib/*/libneon.la
 	dh_movefiles -p$(package)-dev --sourcedir=debian/$(package)
 	install -d debian/$(package)-dev/usr/share/aclocal
 	cp macros/neon*.m4 \
@@ -92,7 +104,7 @@
 	rm -rf debian/$(package)/usr/include \
 		debian/$(package)/usr/bin \
 		debian/$(package)/usr/share/man \
-		debian/$(package)/usr/lib/pkgconfig
+		debian/$(package)/usr/lib/*/pkgconfig
 
 	touch install-openssl
 
@@ -101,10 +113,15 @@
 	dh_testroot
 	dh_installdirs
 	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE) install-lib install-headers install-config install-man DESTDIR=$(DESTDIR)/$(package)-gnutls
-	chrpath -d $(CURDIR)/debian/$(package)-gnutls/usr/lib/libneon-gnutls.so.27
-	rm -f $(CURDIR)/debian/$(package)-gnutls/usr/lib/libneon-gnutls.la
+	mkdir -p debian/$(package)-gnutls/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/$(package)-gnutls/usr/lib/lib* debian/$(package)-gnutls/usr/lib/pkgconfig \
+		debian/$(package)-gnutls/usr/lib/$(DEB_HOST_MULTIARCH)
+	chrpath -d $(CURDIR)/debian/$(package)-gnutls/usr/lib/*/libneon-gnutls.so.27
+	rm -f $(CURDIR)/debian/$(package)-gnutls/usr/lib/*/libneon-gnutls.la
 	dh_movefiles -p$(package)-gnutls-dev \
 	  --sourcedir=debian/$(package)-gnutls
+	ln -sf libneon-gnutls.so debian/$(package)-gnutls-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libneon.so
+	ln -sf libneon-gnutls.a  debian/$(package)-gnutls-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libneon.a
 	install -d debian/$(package)-gnutls-dev/usr/share/aclocal
 	cp macros/neon*.m4 \
 		debian/$(package)-gnutls-dev/usr/share/aclocal/
@@ -112,7 +129,7 @@
 	rm -rf debian/$(package)-gnutls/usr/include \
 		debian/$(package)-gnutls/usr/bin \
 		debian/$(package)-gnutls/usr/share/man \
-		debian/$(package)-gnutls/usr/lib/pkgconfig
+		debian/$(package)-gnutls/usr/lib/*/pkgconfig
 
 	touch install-gnutls
 
@@ -135,6 +152,7 @@
 	dh_link
 	dh_strip -p$(package) --dbg-package=$(package)-dbg
 	dh_strip -p$(package)-gnutls --dbg-package=$(package)-gnutls-dbg
+	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
