## neon27 0.30.2

=== debian/changelog ===
neon27 (0.30.2-4) unstable; urgency=medium

  * Backport upstream libxml2 pkg-config detection (closes: #949418).
  * Fix compatibility with OpenSSL 1.1.x .
  * Update Standards-Version to 4.5.0 :
    - change debug packages priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Feb 2020 17:05:14 +0000

neon27 (0.30.2-3) unstable; urgency=medium

  * Run OpenSSL checks but don't fail on them (closes: #907009).
  * Backport OpenSSL 1.1 fixes:
    - don't set OpenSSL locking/thread callbacks,
    - return NE_SOCK_RETRY for SSL_ERROR_WANT_READ.
  * Fix HAVE_SYS_UIO_H typo.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Mar 2019 07:57:10 +0000

neon27 (0.30.2-2) unstable; urgency=low

  * Remove Multi-Arch field from libneon27-dev and libneon27-gnutls-dev
    packages (closes: #846024).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 28 Nov 2016 16:56:00 +0000

neon27 (0.30.2-1) unstable; urgency=low

  * New upstream release.
  * Fix compilation with OpenSSL 1.1.0 (closes: #828446).
  * Patch to make out of source directory testing possible.
  * Drop fix-gnutls-3.4-compilation.patch , this release contains it.
  * Mark libneon27-dev and libneon27-gnutls-dev as Multi-Arch: foreign
    (closes: #813304).
  * Update debhelper level to 10 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS (closes: #841697):
    + Drop versioned binutils from Build-Depends: satisfied in Wheezy.
    + Let dh_auto_configure pass --host as necessary.
    + Support DEB_BUILD_OPTIONS=nocheck.
    + Force triplet-prefixed pkg-config.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Oct 2016 17:44:10 +0000

neon27 (0.30.1-5) unstable; urgency=low

  * Skip racy test instead of ignore the whole testsuite result, patch by
    James Clarke.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 11 Aug 2016 04:57:23 +0000

neon27 (0.30.1-4) unstable; urgency=low

  * Make self tests non-fatal on kFreeBSD architectures (closes: #774534).
  * Enable GnuTLS self tests (closes: #547203).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 10 Aug 2016 20:06:25 +0000
