=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 9), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, krb5-multidev, libz-dev, dh-autoreconf, binutils (>= 2.14.90.0.7), ca-certificates, chrpath
+Build-Depends: debhelper-compat (= 10), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, krb5-multidev, libz-dev, ca-certificates, chrpath
 Homepage: http://www.webdav.org/neon/
-Standards-Version: 3.9.6
+Standards-Version: 4.5.0
 
 Package: libneon27
 Section: libs
@@ -42,7 +42,6 @@
 Package: libneon27-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1), libneon25-dev (<< 0.28.2-5), libneon27-gnutls-dev
 Provides: libneon-dev
 Replaces: libneon-dev, libneon25-dev, libneon27-gnutls-dev
@@ -56,7 +55,7 @@
 
 Package: libneon27-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libneon27 (= ${binary:Version})
@@ -105,7 +104,6 @@
 Package: libneon27-gnutls-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1), libneon25-dev (<< 0.28.2-5), libneon27-dev
 Provides: libneon-dev
 Replaces: libneon-dev, libneon25-dev, libneon27-dev
@@ -121,7 +119,7 @@
 
 Package: libneon27-gnutls-dbg
 Section: debug
-Priority: extra
+Priority: optional
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libneon27-gnutls (= ${binary:Version})
