=== debian/rules ===
--- 
+++ 
@@ -7,22 +7,20 @@
 export KRB5_CONFIG=/usr/bin/krb5-config.mit
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
+
+export PKG_CONFIG=$(shell which $(DEB_HOST_GNU_TYPE)-pkg-config)
 
 BUILDDIR=$(CURDIR)/debian/build-tree/
 DESTDIR=$(CURDIR)/debian/
 CONFIG_COMMON=  --enable-shared			\
 		--enable-static			\
-		--prefix=/usr			\
-		--sysconfdir=/etc		\
-		--infodir=/usr/share/info	\
-		--mandir=/usr/share/man		\
 		--enable-threadsafe-ssl=posix   \
 		--with-gssapi			\
 		--with-libxml2			\
-		--with-libdir="\$${prefix}/lib/$(DEB_HOST_MULTIARCH)"
+		$(NULL)
 
 CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
@@ -34,15 +32,13 @@
 	touch build-autoreconf
 
 ${BUILDDIR}/neon-openssl/config.status: build-autoreconf
-	install -d $(BUILDDIR)/neon-openssl
-	cd $(BUILDDIR)/neon-openssl/ && \
-	                CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' $(CURDIR)/configure ${CONFIG_COMMON} \
+	CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' \
+		dh_auto_configure --builddirectory=$(BUILDDIR)/neon-openssl -- ${CONFIG_COMMON} \
 			--with-ssl=openssl
 
 ${BUILDDIR}/neon-gnutls/config.status: build-autoreconf
-	install -d $(BUILDDIR)/neon-gnutls
-	cd $(BUILDDIR)/neon-gnutls/ && \
-	                CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' $(CURDIR)/configure ${CONFIG_COMMON} \
+	CPPFLAGS='$(CPPFLAGS)' CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' \
+		 dh_auto_configure --builddirectory=$(BUILDDIR)/neon-gnutls -- ${CONFIG_COMMON} \
 			--with-ca-bundle=/etc/ssl/certs/ca-certificates.crt \
 			--with-ssl=gnutls
 
@@ -53,8 +49,10 @@
 build-openssl: ${BUILDDIR}/neon-openssl/config.status
 	dh_testdir
 	cd $(BUILDDIR)/neon-openssl/ && $(MAKE)
-	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) check
-
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	export TEST_QUIET=0
+	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) check || true
+endif
 	touch build-openssl
 
 build-gnutls: ${BUILDDIR}/neon-gnutls/config.status
@@ -66,20 +64,22 @@
 		sed -i "s/libneon\./libneon-gnutls\./g" \
 		neon-config neon.pc Makefile src/Makefile test/Makefile
 	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE)
-#	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE) check
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE) check || true
+endif
 
 	touch build-gnutls
 
 clean:
 	dh_testdir
 	dh_testroot
-	-rm -f build-autoreconf build-openssl build-gnutls \
+	rm -f build-autoreconf build-openssl build-gnutls \
 	    install-openssl install-gnutls \
 	    macros/changelog.m4
 	rm -rf $(BUILDDIR)
 	[ ! -f Makefile ] || $(MAKE) distclean
-	-rm -rf Makefile src/Makefile test/Makefile config.h config.cache config.log config.status
-	-rm -rf libtool neon-config src/.libs src/*.o
+	rm -rf Makefile src/Makefile test/Makefile config.h config.cache config.log config.status
+	rm -rf libtool neon-config src/.libs src/*.o
 	dh_autoreconf_clean
 	dh_clean
 
@@ -91,9 +91,6 @@
 	dh_testroot
 	dh_installdirs
 	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) install-lib install-headers install-config install-man DESTDIR=$(DESTDIR)/$(package)
-	mkdir -p debian/$(package)/usr/lib/$(DEB_HOST_MULTIARCH)
-	mv debian/$(package)/usr/lib/lib* debian/$(package)/usr/lib/pkgconfig \
-		debian/$(package)/usr/lib/$(DEB_HOST_MULTIARCH)
 	chrpath -d $(CURDIR)/debian/$(package)/usr/lib/*/libneon.so.27
 	rm -f $(CURDIR)/debian/$(package)/usr/lib/*/libneon.la
 	dh_movefiles -p$(package)-dev --sourcedir=debian/$(package)
@@ -113,9 +110,6 @@
 	dh_testroot
 	dh_installdirs
 	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE) install-lib install-headers install-config install-man DESTDIR=$(DESTDIR)/$(package)-gnutls
-	mkdir -p debian/$(package)-gnutls/usr/lib/$(DEB_HOST_MULTIARCH)
-	mv debian/$(package)-gnutls/usr/lib/lib* debian/$(package)-gnutls/usr/lib/pkgconfig \
-		debian/$(package)-gnutls/usr/lib/$(DEB_HOST_MULTIARCH)
 	chrpath -d $(CURDIR)/debian/$(package)-gnutls/usr/lib/*/libneon-gnutls.so.27
 	rm -f $(CURDIR)/debian/$(package)-gnutls/usr/lib/*/libneon-gnutls.la
 	dh_movefiles -p$(package)-gnutls-dev \
