## neon27 0.31.2

=== debian/changelog ===
neon27 (0.31.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 28 Jun 2020 08:38:12 +0200

neon27 (0.31.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove backported patches.
  * Update packaging bits.
  * Update copyright file.
  * Update homepage location.
  * Update watch file.
  * Update debhelper level to 12 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 01 Jun 2020 23:20:34 +0200
