=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 10), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, krb5-multidev, libz-dev, ca-certificates, chrpath
-Homepage: http://www.webdav.org/neon/
+Build-Depends: debhelper-compat (= 12), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, krb5-multidev, libz-dev, ca-certificates, chrpath, xmlto
+Homepage: https://notroj.github.io/neon/
 Standards-Version: 4.5.0
 
 Package: libneon27
