=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 build-autoreconf:
 	LIBTOOLIZE='libtoolize --install' dh_autoreconf \
-		autoreconf -- -f -i -I macros
+		./autogen.sh
 	touch build-autoreconf
 
 ${BUILDDIR}/neon-openssl/config.status: build-autoreconf
@@ -48,7 +48,8 @@
 build: build-openssl build-gnutls
 build-openssl: ${BUILDDIR}/neon-openssl/config.status
 	dh_testdir
-	cd $(BUILDDIR)/neon-openssl/ && $(MAKE)
+	ln -s $(CURDIR)/doc/  $(BUILDDIR)/neon-openssl/
+	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) all docs-man
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	export TEST_QUIET=0
 	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) check || true
@@ -63,7 +64,8 @@
 	cd $(BUILDDIR)/neon-gnutls/ && \
 		sed -i "s/libneon\./libneon-gnutls\./g" \
 		neon-config neon.pc Makefile src/Makefile test/Makefile
-	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE)
+	ln -s $(CURDIR)/doc/  $(BUILDDIR)/neon-gnutls/
+	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE) all docs-man
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE) check || true
 endif
@@ -78,6 +80,7 @@
 	    macros/changelog.m4
 	rm -rf $(BUILDDIR)
 	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -rf doc/man/
 	rm -rf Makefile src/Makefile test/Makefile config.h config.cache config.log config.status
 	rm -rf libtool neon-config src/.libs src/*.o
 	dh_autoreconf_clean
@@ -93,7 +96,7 @@
 	cd $(BUILDDIR)/neon-openssl/ && $(MAKE) install-lib install-headers install-config install-man DESTDIR=$(DESTDIR)/$(package)
 	chrpath -d $(CURDIR)/debian/$(package)/usr/lib/*/libneon.so.27
 	rm -f $(CURDIR)/debian/$(package)/usr/lib/*/libneon.la
-	dh_movefiles -p$(package)-dev --sourcedir=debian/$(package)
+	dh_movefiles -v -p$(package)-dev --sourcedir=debian/$(package)
 	install -d debian/$(package)-dev/usr/share/aclocal
 	cp macros/neon*.m4 \
 		debian/$(package)-dev/usr/share/aclocal/
@@ -112,7 +115,7 @@
 	cd $(BUILDDIR)/neon-gnutls/ && $(MAKE) install-lib install-headers install-config install-man DESTDIR=$(DESTDIR)/$(package)-gnutls
 	chrpath -d $(CURDIR)/debian/$(package)-gnutls/usr/lib/*/libneon-gnutls.so.27
 	rm -f $(CURDIR)/debian/$(package)-gnutls/usr/lib/*/libneon-gnutls.la
-	dh_movefiles -p$(package)-gnutls-dev \
+	dh_movefiles -v -p$(package)-gnutls-dev \
 	  --sourcedir=debian/$(package)-gnutls
 	ln -sf libneon-gnutls.so debian/$(package)-gnutls-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libneon.so
 	ln -sf libneon-gnutls.a  debian/$(package)-gnutls-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libneon.a
@@ -135,12 +138,12 @@
 	dh_testdir -a
 	dh_testroot -a
 
-	cp macros/ChangeLog macros/changelog.m4
-	dh_installdocs -p$(package)-dev macros/changelog.m4
-	dh_installdocs -p$(package)-gnutls-dev macros/changelog.m4
+#	cp macros/ChangeLog macros/changelog.m4
+#	dh_installdocs -p$(package)-dev macros/changelog.m4
+#	dh_installdocs -p$(package)-gnutls-dev macros/changelog.m4
 
-	dh_installchangelogs -a ChangeLog
-	dh_installdocs -a AUTHORS BUGS NEWS README THANKS TODO
+	dh_installchangelogs
+	dh_installdocs -a AUTHORS BUGS NEWS THANKS TODO
 	dh_makeshlibs -p$(package) -V'$(package)'
 	dh_makeshlibs -p$(package)-gnutls -V'$(package)-gnutls'
 	dh_link
@@ -155,6 +158,5 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
-
 binary: binary-indep binary-arch
 .PHONY: binary clean binary-indep binary-arch binary install
