=== debian/watch ===
version=4
opts=uversionmangle=s/-rc(\d+)$/~rc$1/ \
https://github.com/notroj/neon/releases \
(?:|.*/)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
