## neon27 0.32.1

=== debian/changelog ===
neon27 (0.32.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove libneon27-{,gnutls-}dbg packages and use the auto-generated ones.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 27 Sep 2021 18:50:40 +0200
