## neon27 0.32.2

=== debian/changelog ===
neon27 (0.32.2-1ubuntu0.1) jammy; urgency=medium

  * d/rules: Rename variable used for configure from KRB5_CONFIG to
    KRB5_CONF_TOOL, due to an upstream change that broke GSSAPI support.
    Thanks to Ian Williams for reporting and suggesting a fix. (LP: #2003266)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 06 Sep 2024 01:41:28 +0100

neon27 (0.32.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 14 Jan 2022 18:11:44 +0100
