=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: neon27
 Section: net
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 12), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, krb5-multidev, libz-dev, ca-certificates, chrpath, xmlto
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13), pkg-config, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, krb5-multidev, libz-dev, ca-certificates, chrpath, xmlto
 Homepage: https://notroj.github.io/neon/
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 
 Package: libneon27
 Section: libs
@@ -53,20 +54,6 @@
  methods, and higher-level interfaces so that you don't have to
  worry about the lower-level stuff.
 
-Package: libneon27-dbg
-Section: debug
-Priority: optional
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libneon27 (= ${binary:Version})
-Description: Detached symbols for libneon27
- This package contains the debugging symbols for libneon27, suitable for
- debugging.
- .
- Neon provides lower-level interfaces to directly implement new HTTP
- methods, and higher-level interfaces so that you don't have to
- worry about the lower-level stuff.
-
 Package: libneon27-gnutls
 Section: libs
 Architecture: any
@@ -90,7 +77,7 @@
    * persistent connections
    * RFC2617 basic and digest authentication (including auth-int, md5-sess)
    * Proxy support (including basic/digest authentication)
-   * SSL/TLS support using GnuTLS (including client certificate and thread 
+   * SSL/TLS support using GnuTLS (including client certificate and thread
      safety support)
    * Generic WebDAV 207 XML response handling mechanism
    * XML parsing using the expat or libxml parsers
@@ -110,23 +97,9 @@
 Depends: ${misc:Depends}, libneon27-gnutls (= ${binary:Version}),
  libgnutls28-dev, libxml2-dev, krb5-multidev, pkg-config
 Description: Header and static library files for libneon27 (GnuTLS enabled)
- This package contains the headers and the static library for 
+ This package contains the headers and the static library for
  libneon27-gnutls.
  .
  Neon provides lower-level interfaces to directly implement new HTTP
  methods, and higher-level interfaces so that you don't have to
  worry about the lower-level stuff.
-
-Package: libneon27-gnutls-dbg
-Section: debug
-Priority: optional
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, libneon27-gnutls (= ${binary:Version})
-Description: Detached symbols for libneon27 (GnuTLS enabled)
- This package contains the debugging symbols for libneon27-gnutls, suitable 
- for debugging.
- .
- Neon provides lower-level interfaces to directly implement new HTTP
- methods, and higher-level interfaces so that you don't have to
- worry about the lower-level stuff.
