=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 package=libneon27
 upstream-version=$(shell head -n 1 debian/changelog | sed -e 's/.*(\(\([0-9]\+:\)\?\([^-]\+\).*\).*).*/\3/' )
 
-export KRB5_CONFIG=/usr/bin/krb5-config.mit
+export KRB5_CONF_TOOL=/usr/bin/krb5-config.mit
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -147,8 +147,7 @@
 	dh_makeshlibs -p$(package) -V'$(package)'
 	dh_makeshlibs -p$(package)-gnutls -V'$(package)-gnutls'
 	dh_link
-	dh_strip -p$(package) --dbg-package=$(package)-dbg
-	dh_strip -p$(package)-gnutls --dbg-package=$(package)-gnutls-dbg
+	dh_strip -a
 	dh_lintian -a
 	dh_compress -a
 	dh_fixperms -a
