## neon27 0.32.4

=== debian/changelog ===
neon27 (0.32.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 12 Sep 2022 14:55:39 +0200
